Upstream information

CVE-2009-3736 at MITRE

Description

ltdl.c in libltdl in GNU Libtool 1.5.x, and 2.2.6 before 2.2.6b, as used in Ham Radio Control Libraries, Q, and possibly other products, attempts to open a .la file in the current working directory, which allows local users to gain privileges via a Trojan horse file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 556122 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libltdl7 >= 2.4.2-16.1
  • libltdl7-32bit >= 2.4.2-16.1
SUSE Linux Enterprise Desktop 12 SP4
  • libltdl7 >= 2.4.2-17.4.1
  • libltdl7-32bit >= 2.4.2-17.4.1
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
  • libltdl7 >= 2.4.2-14.60
  • libltdl7-32bit >= 2.4.2-14.60
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libltdl7 >= 2.4.2-17.4.1
  • libltdl7-32bit >= 2.4.2-17.4.1
  • libtool >= 2.4.2-17.4.1
  • libtool-32bit >= 2.4.2-17.4.1
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libltdl7 >= 2.4.6-1.406
  • libtool >= 2.4.6-1.406
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Module for Development Tools 15 SP1
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • libtool-32bit >= 2.4.6-1.406
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • libltdl7-32bit >= 2.4.6-1.406
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP4
  • libltdl7 >= 2.2.6-2.131.1
  • libltdl7-32bit >= 2.2.6-2.131.1
  • libltdl7-x86 >= 2.2.6-2.131.1
  • libtool >= 2.2.6-2.131.1
  • libtool-32bit >= 2.2.6-2.131.1
  • libtool-x86 >= 2.2.6-2.131.1
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • libltdl7 >= 2.2.6-2.131.1
  • libltdl7-32bit >= 2.2.6-2.131.1
  • libltdl7-x86 >= 2.2.6-2.131.1
  • libtool >= 2.2.6-2.131.1
  • libtool-32bit >= 2.2.6-2.131.1
  • libtool-x86 >= 2.2.6-2.131.1
Patchnames:
slessp0-libltdl7
SUSE Linux Enterprise Server 12 SP3
  • libltdl7 >= 2.4.2-16.1
  • libltdl7-32bit >= 2.4.2-16.1
  • libtool >= 2.4.2-16.1
  • libtool-32bit >= 2.4.2-16.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
  • libltdl7 >= 2.4.2-14.60
  • libltdl7-32bit >= 2.4.2-14.60
  • libtool >= 2.4.2-14.60
  • libtool-32bit >= 2.4.2-14.60
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libltdl7 >= 2.4.2-14.30
  • libtool >= 2.4.2-14.30
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libtool >= 2.2.6-2.131.1
  • libtool-32bit >= 2.2.6-2.131.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libtool >= 2.4.2-16.1
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libtool >= 2.4.2-17.4.1
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libtool >= 2.4.2-14.60
openSUSE Leap 15.0
  • libltdl7 >= 2.4.6-lp150.1.47
Patchnames:
openSUSE Leap 15.0 GA libltdl7-2.4.6-lp150.1.47
openSUSE Tumbleweed
  • GraphicsMagick >= 1.3.25-1.1
  • GraphicsMagick-devel >= 1.3.25-1.1
  • libGraphicsMagick++-Q16-12 >= 1.3.25-1.1
  • libGraphicsMagick++-devel >= 1.3.25-1.1
  • libGraphicsMagick-Q16-3 >= 1.3.25-1.1
  • libGraphicsMagick3-config >= 1.3.25-1.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.25-1.1
  • libltdl7 >= 2.4.6-4.71
  • libltdl7-32bit >= 2.4.6-4.71
  • libtool >= 2.4.6-4.71
  • libtool-32bit >= 2.4.6-4.71
  • perl-GraphicsMagick >= 1.3.25-1.1
Patchnames:
openSUSE Tumbleweed GA GraphicsMagick-1.3.25-1.1
openSUSE Tumbleweed GA libltdl7-2.4.6-4.71


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 libtool Released
SLES-10-SP3 libtool Released
SUSE Linux Enterprise Desktop 11 libtool Released
SUSE Linux Enterprise Software Development Kit 11 libtool Released